Log in or register to post comments

Smart Terrain + Unity 2017.3.0b2

September 27, 2017 - 3:59pm #1

Vuforia is integrated into Unity 2017.3.0b2, but it looks like Smart Terrain is not available. I can't create a Smart Terrain object from the Vuforia menu, and there is no Smart Terrain prefab. Any help? Is Smart Terrain only available through the Unity package?

Smart Terrain + Unity 2017.3.0b2

April 23, 2018 - 11:13am #13

if smart Terrain is deprecated then how can we implement such use case using Vuforia?

also where is documentation for new prefabs like MidAirReference, DefaultPlaneIndicator , ....

 

Smart Terrain + Unity 2017.3.0b2

March 8, 2018 - 11:10am #12

The old Smart Terrain feature has been deprecated in Vuforia 7. There is no 1 to 1 migration for the old Smart Terrain into the new Ground Plane.

Apologies for the inconvenience,

Vuforia Support

Smart Terrain + Unity 2017.3.0b2

March 8, 2018 - 4:40am #11

Any update on this? Why did the SurfaceBehaviour and ReconstructionBehaviour disappear in Vuforia 7? It seems we are now only able to interact with a ground plane and not any smart terrain / obstacles with masking :( :( :(

Smart Terrain + Unity 2017.3.0b2

January 24, 2018 - 11:38am #10

Now that 2017.3 is out, is there any Migration guide or general guide on how to port ~6.2 or earlier Vuforia projects using SmartTerrain to 7.0?

There's a lot of "SurfaceBehaviour" and "ReconstructionBehaviour" could not be found Errors and Prefabs that were previously used like "SmartTerrain" or "Prop" missing. Any Workaround or way to rework that in Vuforia 7.0?

Smart Terrain + Unity 2017.3.0b2

October 17, 2017 - 12:01pm #9

Wolfsmutter wrote:

If I'm using SmartTerrain, should I stay on 6.2 for now till it is integrated in the final version of 7.0/Unity 2017.3? Any idea on when that might be (weeks/months)?

You can still use SmartTerrain in 6.5, but it is up to you if you prefer to stick with 6.2 or 6.5 if you want to continue using the current Smart Terrain. There is not currently an official date for the release of Vuforia 7 and/or Unity 2017.3. This information will be provided here https://developer.vuforia.com/ when it is available.

Thanks,

-Vuforia Support

Smart Terrain + Unity 2017.3.0b2

October 17, 2017 - 11:58am #8

pesche wrote:

Can you tell me, if the penguin sample project is anywhere for download? (https://library.vuforia.com/content/vuforia-library/en/articles/Solution/Penguin-Smart-Terrain-Sample.html)

This sample is no longer available.

Sorry for the inconvenience,

-Vuforia Support

Smart Terrain + Unity 2017.3.0b2

October 17, 2017 - 11:35am #7

After managing to Upgrade to 6.2 from 5.5 and everything seemingly working fine, I tried Upgrading to 6.5 to find out that indeed SmartTerrain has been deprecated, maybe it would be prudent to also mention that in the Migration guide: https://library.vuforia.com/articles/Solution/migrate-vuforia-62-to-65.html

If I'm using SmartTerrain, should I stay on 6.2 for now till it is integrated in the final version of 7.0/Unity 2017.3? Any idea on when that might be (weeks/months)?

Smart Terrain + Unity 2017.3.0b2

October 17, 2017 - 10:58am #6

OK. Thanks for the hint. I'll try that approach.

I was already wondering, because the article explaining the smart terrain functionality had been released by end of September 2017.

Can you tell me, if the penguin sample project is anywhere for download? (https://library.vuforia.com/content/vuforia-library/en/articles/Solution/Penguin-Smart-Terrain-Sample.html)

Strasza wrote:

However, the scripts for these objects are still available. You can add them as components to any Unity object and the apis still exist.

Smart Terrain + Unity 2017.3.0b2

October 17, 2017 - 10:08am #5

Hello pesche,

This is correct, Smart Terrain is currently deprecated in 6.5 and you cannot pull the objects in directly from our game object menu. However, the scripts for these objects are still available. You can add them as components to any Unity object and the apis still exist.

Thanks,

-Vuforia Support

Smart Terrain + Unity 2017.3.0b2

October 17, 2017 - 8:35am #4

I have a similar problem.

Just upgraded to 2017.2.0f3 and installed the included Vuforia 6.5 package.

Unfortunately there is no smartterrain prefab included.

The recent changelog informs, that the smart terrain api is deprecated with version 6.5.19.

"Smart Terrain API has been deprecated and will undergo significant changes in Vuforia 7" (https://library.vuforia.com/articles/Release_Notes/Vuforia-SDK-Release-Notes)

 

This means there is no Smart Terrain functionality for the meantime?

Smart Terrain + Unity 2017.3.0b2

September 28, 2017 - 2:23pm #3

A Vuforia compatible version of Unity 2017.3 will be available soon, for now I recommend using the 2017.2 build.

Thanks,

-Vuforia Support

Smart Terrain + Unity 2017.3.0b2

September 27, 2017 - 4:32pm #2

I'm finding that the latest Unity beta release with vuforia is missing a lot of things. It's best to downgrade to unity 2017.1 with vuforia 6.5 for now.

Log in or register to post comments